"{ Package: 'stx:libscm/git' }"

Object subclass:#GitPrimitives
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Git-Support-libgit2'
!


!GitPrimitives class methodsFor:'primitives'!

primGitAttrAddMacro: repo name: name values: values 

    <cdecl: int32 "git_attr_add_macro" ( GitRepository charPointer charPointer ) >
    self primitiveFailed
!

primGitAttrCacheFlush: repo 

    <cdecl: void "git_attr_cache_flush" ( GitRepository ) >
    self primitiveFailed
!

primGitAttrForeach: repo flags: flags path: path callback: callback payload: payload 

    <cdecl: int32 "git_attr_foreach" ( GitRepository uint32 charPointer pointer voidPointer ) >
    self primitiveFailed
!

primGitAttrGet: value_out repo: repo flags: flags path: path name: name 

    <cdecl: int32 "git_attr_get" ( pointer GitRepository uint32 charPointer charPointer ) >
    self primitiveFailed
!

primGitAttrGetMany: values_out repo: repo flags: flags path: path numAttr: num_attr names: names 

    <cdecl: int32 "git_attr_get_many" ( pointer GitRepository uint32 charPointer long pointer ) >
    self primitiveFailed
!

primGitAttrValue: attr 

    <cdecl: int32 "git_attr_value" ( charPointer ) >
    self primitiveFailed
!

primGitBlobCreateFrombuffer: oid repo: repo buffer: buffer len: len 

    <cdecl: int32 "git_blob_create_frombuffer" ( GitOid GitRepository voidPointer long ) >
    self primitiveFailed
!

primGitBlobCreateFromchunks: oid repo: repo hintpath: hintpath sourceCb: source_cb payload: payload 

    <cdecl: int32 "git_blob_create_fromchunks" ( GitOid GitRepository charPointer pointer voidPointer ) >
    self primitiveFailed
!

primGitBlobCreateFromdisk: oid repo: repo path: path 

    <cdecl: int32 "git_blob_create_fromdisk" ( GitOid GitRepository charPointer ) >
    self primitiveFailed
!

primGitBlobCreateFromfile: oid repo: repo path: path 

    <cdecl: int32 "git_blob_create_fromfile" ( GitOid GitRepository charPointer ) >
    self primitiveFailed
!

primGitBlobFree: blob 

    <cdecl: void "git_blob_free" ( GitBlob ) >
    self primitiveFailed
!

primGitBlobLookup: blob repo: repo id: id 

    <cdecl: int32 "git_blob_lookup" ( pointer GitRepository GitOid ) >
    self primitiveFailed
!

primGitBlobLookupPrefix: blob repo: repo id: id len: len 

    <cdecl: int32 "git_blob_lookup_prefix" ( pointer GitRepository GitOid long ) >
    self primitiveFailed
!

primGitBlobRawcontent: blob 

    <cdecl: voidPointer "git_blob_rawcontent" ( GitBlob ) >
    self primitiveFailed
!

primGitBlobRawsize: blob 

    <cdecl: long "git_blob_rawsize" ( GitBlob ) >
    self primitiveFailed
!

primGitBranchCreate: branch_out repo: repo branchName: branch_name target: target force: force 

    <cdecl: int32 "git_branch_create" ( pointer GitRepository charPointer GitObject int32 ) >
    self primitiveFailed
!

primGitBranchDelete: branch 

    <cdecl: int32 "git_branch_delete" ( GitReference ) >
    self primitiveFailed
!

primGitBranchForeach: repo listFlags: list_flags branchCb: branch_cb payload: payload 

    <cdecl: int32 "git_branch_foreach" ( GitRepository uint32 pointer voidPointer ) >
    self primitiveFailed
!

primGitBranchLookup: branch_out repo: repo branchName: branch_name branchType: branch_type 

    <cdecl: int32 "git_branch_lookup" ( pointer GitRepository charPointer int32 ) >
    self primitiveFailed
!

primGitBranchMove: branch newBranchName: new_branch_name force: force 

    <cdecl: int32 "git_branch_move" ( GitReference charPointer int32 ) >
    self primitiveFailed
!

primGitBranchTracking: tracking_out branch: branch 

    <cdecl: int32 "git_branch_tracking" ( pointer GitReference ) >
    self primitiveFailed
!

primGitCheckoutHead: repo opts: opts stats: stats 

    <cdecl: int32 "git_checkout_head" ( GitRepository GitCheckoutOpts GitIndexerStats ) >
    self primitiveFailed
!

primGitCheckoutReference: ref opts: opts stats: stats 

    <cdecl: int32 "git_checkout_reference" ( GitReference GitCheckoutOpts GitIndexerStats ) >
    self primitiveFailed
!

primGitClone: out originUrl: origin_url workdirPath: workdir_path fetchStats: fetch_stats checkoutStats: checkout_stats checkoutOpts: checkout_opts 

    <cdecl: int32 "git_clone" ( pointer charPointer charPointer GitIndexerStats GitIndexerStats GitCheckoutOpts ) >
    self primitiveFailed
!

primGitCloneBare: out originUrl: origin_url destPath: dest_path fetchStats: fetch_stats 

    <cdecl: int32 "git_clone_bare" ( pointer charPointer charPointer GitIndexerStats ) >
    self primitiveFailed
!

primGitCommitAuthor: commit 

    <cdecl: GitSignature "git_commit_author" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitCommitter: commit 

    <cdecl: GitSignature "git_commit_committer" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitCreate: oid repo: repo updateRef: update_ref author: author committer: committer messageEncoding: message_encoding message: message tree: tree parentCount: parent_count parents: parents 

    <cdecl: int32 "git_commit_create" ( GitOid GitRepository charPointer GitSignature GitSignature charPointer charPointer GitTree int32 pointer ) >
    self primitiveFailed
!

primGitCommitCreateV: oid repo: repo updateRef: update_ref author: author committer: committer messageEncoding: message_encoding message: message tree: tree parentCount: parent_count 

    <cdecl: int32 "git_commit_create_v" ( GitOid GitRepository charPointer GitSignature GitSignature charPointer charPointer GitTree int32 ) >
    self primitiveFailed
!

primGitCommitFree: commit 

    <cdecl: void "git_commit_free" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitId: commit 

    <cdecl: GitOid "git_commit_id" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitLookup: commit repo: repo id: id 

    <cdecl: int32 "git_commit_lookup" ( pointer GitRepository GitOid ) >
    self primitiveFailed
!

primGitCommitLookupPrefix: commit repo: repo id: id len: len 

    <cdecl: int32 "git_commit_lookup_prefix" ( pointer GitRepository GitOid long ) >
    self primitiveFailed
!

primGitCommitMessage: commit 

    <cdecl: charPointer "git_commit_message" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitMessageEncoding: commit 

    <cdecl: charPointer "git_commit_message_encoding" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitNthGenAncestor: ancestor commit: commit n: n 

    <cdecl: int32 "git_commit_nth_gen_ancestor" ( pointer GitCommit uint32 ) >
    self primitiveFailed
!

primGitCommitParent: parent commit: commit n: n 

    <cdecl: int32 "git_commit_parent" ( pointer GitCommit uint32 ) >
    self primitiveFailed
!

primGitCommitParentOid: commit n: n 

    <cdecl: GitOid "git_commit_parent_oid" ( GitCommit uint32 ) >
    self primitiveFailed
!

primGitCommitParentcount: commit 

    <cdecl: uint32 "git_commit_parentcount" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitTime: commit 

    <cdecl: long "git_commit_time" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitTimeOffset: commit 

    <cdecl: int32 "git_commit_time_offset" ( GitCommit ) >
    self primitiveFailed
!

primGitCommitTree: tree_out commit: commit 

    <cdecl: int32 "git_commit_tree" ( pointer GitCommit ) >
    self primitiveFailed
!

primGitCommitTreeOid: commit 

    <cdecl: GitOid "git_commit_tree_oid" ( GitCommit ) >
    self primitiveFailed
!

primGitConfigAddFile: cfg file: file priority: priority 

    <cdecl: int32 "git_config_add_file" ( GitConfig GitConfigFile int32 ) >
    self primitiveFailed
!

primGitConfigAddFileOndisk: cfg path: path priority: priority 

    <cdecl: int32 "git_config_add_file_ondisk" ( GitConfig charPointer int32 ) >
    self primitiveFailed
!

primGitConfigDelete: cfg name: name 

    <cdecl: int32 "git_config_delete" ( GitConfig charPointer ) >
    self primitiveFailed
!

primGitConfigFile_ondisk: out path: path 

    <cdecl: int32 "git_config_file__ondisk" ( pointer charPointer ) >
    self primitiveFailed
!

primGitConfigFindGlobal: global_config_path length: length 

    <cdecl: int32 "git_config_find_global" ( charPointer long ) >
    self primitiveFailed
!

primGitConfigFindSystem: system_config_path length: length 

    <cdecl: int32 "git_config_find_system" ( charPointer long ) >
    self primitiveFailed
!

primGitConfigForeach: cfg callback: callback payload: payload 

    <cdecl: int32 "git_config_foreach" ( GitConfig pointer voidPointer ) >
    self primitiveFailed
!

primGitConfigForeachMatch: cfg regexp: regexp callback: callback payload: payload 

    <cdecl: int32 "git_config_foreach_match" ( GitConfig charPointer pointer voidPointer ) >
    self primitiveFailed
!

primGitConfigFree: cfg 

    <cdecl: void "git_config_free" ( GitConfig ) >
    self primitiveFailed
!

primGitConfigGetBool: out cfg: cfg name: name 

    <cdecl: int32 "git_config_get_bool" ( int32Pointer GitConfig charPointer ) >
    self primitiveFailed
!

primGitConfigGetInt32: out cfg: cfg name: name 

    <cdecl: int32 "git_config_get_int32" ( int32Pointer GitConfig charPointer ) >
    self primitiveFailed
!

primGitConfigGetInt64: out cfg: cfg name: name 

    <cdecl: int32 "git_config_get_int64" ( longPointer GitConfig charPointer ) >
    self primitiveFailed
!

primGitConfigGetMapped: out cfg: cfg name: name maps: maps mapN: map_n 

    <cdecl: int32 "git_config_get_mapped" ( int32Pointer GitConfig charPointer GitCvarMap long ) >
    self primitiveFailed
!

primGitConfigGetMultivar: cfg name: name regexp: regexp fn: fn data: data 

    <cdecl: int32 "git_config_get_multivar" ( GitConfig charPointer charPointer pointer voidPointer ) >
    self primitiveFailed
!

primGitConfigGetString: out cfg: cfg name: name 

    <cdecl: int32 "git_config_get_string" ( pointer GitConfig charPointer ) >
    self primitiveFailed
!

primGitConfigNew: out 

    <cdecl: int32 "git_config_new" ( pointer ) >
    self primitiveFailed
!

primGitConfigOpenDefault: out 

    <cdecl: int32 "git_config_open_default" ( pointer ) >
    self primitiveFailed
!

primGitConfigOpenOndisk: cfg path: path 

    <cdecl: int32 "git_config_open_ondisk" ( pointer charPointer ) >
    self primitiveFailed
!

primGitConfigSetBool: cfg name: name value: value 

    <cdecl: int32 "git_config_set_bool" ( GitConfig charPointer int32 ) >
    self primitiveFailed
!

primGitConfigSetInt32: cfg name: name value: value 

    <cdecl: int32 "git_config_set_int32" ( GitConfig charPointer int32 ) >
    self primitiveFailed
!

primGitConfigSetInt64: cfg name: name value: value 

    <cdecl: int32 "git_config_set_int64" ( GitConfig charPointer long ) >
    self primitiveFailed
!

primGitConfigSetMultivar: cfg name: name regexp: regexp value: value 

    <cdecl: int32 "git_config_set_multivar" ( GitConfig charPointer charPointer charPointer ) >
    self primitiveFailed
!

primGitConfigSetString: cfg name: name value: value 

    <cdecl: int32 "git_config_set_string" ( GitConfig charPointer charPointer ) >
    self primitiveFailed
!

primGitDiffBlobs: old_blob newBlob: new_blob options: options cbData: cb_data fileCb: file_cb hunkCb: hunk_cb lineCb: line_cb 

    <cdecl: int32 "git_diff_blobs" ( GitBlob GitBlob GitDiffOptions voidPointer pointer pointer pointer ) >
    self primitiveFailed
!

primGitDiffEntrycount: diff deltaT: delta_t 

    <cdecl: int32 "git_diff_entrycount" ( GitDiffList int32 ) >
    self primitiveFailed
!

primGitDiffForeach: diff cbData: cb_data fileCb: file_cb hunkCb: hunk_cb lineCb: line_cb 

    <cdecl: int32 "git_diff_foreach" ( GitDiffList voidPointer pointer pointer pointer ) >
    self primitiveFailed
!

primGitDiffIndexToTree: repo opts: opts oldTree: old_tree diff: diff 

    <cdecl: int32 "git_diff_index_to_tree" ( GitRepository GitDiffOptions GitTree pointer ) >
    self primitiveFailed
!

primGitDiffListFree: diff 

    <cdecl: void "git_diff_list_free" ( GitDiffList ) >
    self primitiveFailed
!

primGitDiffMerge: onto from: from 

    <cdecl: int32 "git_diff_merge" ( GitDiffList GitDiffList ) >
    self primitiveFailed
!

primGitDiffPrintCompact: diff cbData: cb_data printCb: print_cb 

    <cdecl: int32 "git_diff_print_compact" ( GitDiffList voidPointer pointer ) >
    self primitiveFailed
!

primGitDiffPrintPatch: diff cbData: cb_data printCb: print_cb 

    <cdecl: int32 "git_diff_print_patch" ( GitDiffList voidPointer pointer ) >
    self primitiveFailed
!

primGitDiffTreeToTree: repo opts: opts oldTree: old_tree newTree: new_tree diff: diff 

    <cdecl: int32 "git_diff_tree_to_tree" ( GitRepository GitDiffOptions GitTree GitTree pointer ) >
    self primitiveFailed
!

primGitDiffWorkdirToIndex: repo opts: opts diff: diff 

    <cdecl: int32 "git_diff_workdir_to_index" ( GitRepository GitDiffOptions pointer ) >
    self primitiveFailed
!

primGitDiffWorkdirToTree: repo opts: opts oldTree: old_tree diff: diff 

    <cdecl: int32 "git_diff_workdir_to_tree" ( GitRepository GitDiffOptions GitTree pointer ) >
    self primitiveFailed
!

primGitIgnoreAddRule: repo rules: rules 

    <cdecl: int32 "git_ignore_add_rule" ( GitRepository charPointer ) >
    self primitiveFailed
!

primGitIgnoreClearInternalRules: repo 

    <cdecl: int32 "git_ignore_clear_internal_rules" ( GitRepository ) >
    self primitiveFailed
!

primGitIgnorePathIsIgnored: ignored repo: repo path: path 

    <cdecl: int32 "git_ignore_path_is_ignored" ( int32Pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitIndexAdd2: index sourceEntry: source_entry 

    <cdecl: int32 "git_index_add2" ( GitIndex GitIndexEntry ) >
    self primitiveFailed
!

primGitIndexAdd: index path: path stage: stage 

    <cdecl: int32 "git_index_add" ( GitIndex charPointer int32 ) >
    self primitiveFailed
!

primGitIndexAppend2: index sourceEntry: source_entry 

    <cdecl: int32 "git_index_append2" ( GitIndex GitIndexEntry ) >
    self primitiveFailed
!

primGitIndexAppend: index path: path stage: stage 

    <cdecl: int32 "git_index_append" ( GitIndex charPointer int32 ) >
    self primitiveFailed
!

primGitIndexCaps: index 

    <cdecl: uint32 "git_index_caps" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexClear: index 

    <cdecl: void "git_index_clear" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexEntryStage: entry 

    <cdecl: int32 "git_index_entry_stage" ( GitIndexEntry ) >
    self primitiveFailed
!

primGitIndexEntrycount: index 

    <cdecl: uint32 "git_index_entrycount" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexEntrycountUnmerged: index 

    <cdecl: uint32 "git_index_entrycount_unmerged" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexFind: index path: path 

    <cdecl: int32 "git_index_find" ( GitIndex charPointer ) >
    self primitiveFailed
!

primGitIndexFree: index 

    <cdecl: void "git_index_free" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexGet: index n: n 

    <cdecl: GitIndexEntry "git_index_get" ( GitIndex long ) >
    self primitiveFailed
!

primGitIndexGetUnmergedByindex: index n: n 

    <cdecl: GitIndexEntryUnmerged "git_index_get_unmerged_byindex" ( GitIndex long ) >
    self primitiveFailed
!

primGitIndexGetUnmergedBypath: index path: path 

    <cdecl: GitIndexEntryUnmerged "git_index_get_unmerged_bypath" ( GitIndex charPointer ) >
    self primitiveFailed
!

primGitIndexOpen: index indexPath: index_path 

    <cdecl: int32 "git_index_open" ( pointer charPointer ) >
    self primitiveFailed
!

primGitIndexRead: index 

    <cdecl: int32 "git_index_read" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexReadTree: index tree: tree stats: stats 

    <cdecl: int32 "git_index_read_tree" ( GitIndex GitTree GitIndexerStats ) >
    self primitiveFailed
!

primGitIndexRemove: index position: position 

    <cdecl: int32 "git_index_remove" ( GitIndex int32 ) >
    self primitiveFailed
!

primGitIndexSetCaps: index caps: caps 

    <cdecl: int32 "git_index_set_caps" ( GitIndex uint32 ) >
    self primitiveFailed
!

primGitIndexUniq: index 

    <cdecl: void "git_index_uniq" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexWrite: index 

    <cdecl: int32 "git_index_write" ( GitIndex ) >
    self primitiveFailed
!

primGitIndexerFree: idx 

    <cdecl: void "git_indexer_free" ( GitIndexer ) >
    self primitiveFailed
!

primGitIndexerHash: idx 

    <cdecl: GitOid "git_indexer_hash" ( GitIndexer ) >
    self primitiveFailed
!

primGitIndexerNew: out packname: packname 

    <cdecl: int32 "git_indexer_new" ( pointer charPointer ) >
    self primitiveFailed
!

primGitIndexerRun: idx stats: stats 

    <cdecl: int32 "git_indexer_run" ( GitIndexer GitIndexerStats ) >
    self primitiveFailed
!

primGitIndexerStreamAdd: idx data: data size: size stats: stats 

    <cdecl: int32 "git_indexer_stream_add" ( GitIndexerStream voidPointer long GitIndexerStats ) >
    self primitiveFailed
!

primGitIndexerStreamFinalize: idx stats: stats 

    <cdecl: int32 "git_indexer_stream_finalize" ( GitIndexerStream GitIndexerStats ) >
    self primitiveFailed
!

primGitIndexerStreamFree: idx 

    <cdecl: void "git_indexer_stream_free" ( GitIndexerStream ) >
    self primitiveFailed
!

primGitIndexerStreamHash: idx 

    <cdecl: GitOid "git_indexer_stream_hash" ( GitIndexerStream ) >
    self primitiveFailed
!

primGitIndexerStreamNew: out path: path 

    <cdecl: int32 "git_indexer_stream_new" ( pointer charPointer ) >
    self primitiveFailed
!

primGitIndexerWrite: idx 

    <cdecl: int32 "git_indexer_write" ( GitIndexer ) >
    self primitiveFailed
!

primGitLibgit2Capabilities

    <cdecl: int32 "git_libgit2_capabilities" ( ) >
    self primitiveFailed
!

primGitLibgit2Version: major minor: minor rev: rev 

    <cdecl: void "git_libgit2_version" ( int32Pointer int32Pointer int32Pointer ) >
    self primitiveFailed
!

primGitMergeBase: out repo: repo one: one two: two 

    <cdecl: int32 "git_merge_base" ( GitOid GitRepository GitOid GitOid ) >
    self primitiveFailed
!

primGitMergeBaseMany: out repo: repo inputArray: input_array length: length 

    <cdecl: int32 "git_merge_base_many" ( GitOid GitRepository GitOid long ) >
    self primitiveFailed
!

primGitMessagePrettify: message_out bufferSize: buffer_size message: message stripComments: strip_comments 

    <cdecl: int32 "git_message_prettify" ( charPointer long charPointer int32 ) >
    self primitiveFailed
!

primGitNoteCreate: out repo: repo author: author committer: committer notesRef: notes_ref oid: oid note: note 

    <cdecl: int32 "git_note_create" ( GitOid GitRepository GitSignature GitSignature charPointer GitOid charPointer ) >
    self primitiveFailed
!

primGitNoteDefaultRef: out repo: repo 

    <cdecl: int32 "git_note_default_ref" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitNoteForeach: repo notesRef: notes_ref noteCb: note_cb payload: payload 

    <cdecl: int32 "git_note_foreach" ( GitRepository charPointer pointer voidPointer ) >
    self primitiveFailed
!

primGitNoteFree: note 

    <cdecl: void "git_note_free" ( GitNote ) >
    self primitiveFailed
!

primGitNoteMessage: note 

    <cdecl: charPointer "git_note_message" ( GitNote ) >
    self primitiveFailed
!

primGitNoteOid: note 

    <cdecl: GitOid "git_note_oid" ( GitNote ) >
    self primitiveFailed
!

primGitNoteRead: note repo: repo notesRef: notes_ref oid: oid 

    <cdecl: int32 "git_note_read" ( pointer GitRepository charPointer GitOid ) >
    self primitiveFailed
!

primGitNoteRemove: repo notesRef: notes_ref author: author committer: committer oid: oid 

    <cdecl: int32 "git_note_remove" ( GitRepository charPointer GitSignature GitSignature GitOid ) >
    self primitiveFailed
!

primGitObjectFree: object 

    <cdecl: void "git_object_free" ( GitObject ) >
    self primitiveFailed
!

primGitObjectId: obj 

    <cdecl: GitOid "git_object_id" ( GitObject ) >
    self primitiveFailed
!

primGitObjectLookup: object repo: repo id: id type: type 

    <cdecl: int32 "git_object_lookup" ( pointer GitRepository GitOid int32 ) >
    self primitiveFailed
!

primGitObjectLookupPrefix: object_out repo: repo id: id len: len type: type 

    <cdecl: int32 "git_object_lookup_prefix" ( pointer GitRepository GitOid long int32 ) >
    self primitiveFailed
!

primGitObjectOwner: obj 

    <cdecl: GitRepository "git_object_owner" ( GitObject ) >
    self primitiveFailed
!

primGitObjectPeel: peeled object: object targetType: target_type 

    <cdecl: int32 "git_object_peel" ( pointer GitObject int32 ) >
    self primitiveFailed
!

primGitObjectString2type: str 

    <cdecl: int32 "git_object_string2type" ( charPointer ) >
    self primitiveFailed
!

primGitObjectType2string: type 

    <cdecl: charPointer "git_object_type2string" ( int32 ) >
    self primitiveFailed
!

primGitObjectType: obj 

    <cdecl: int32 "git_object_type" ( GitObject ) >
    self primitiveFailed
!

primGitObjectTypeisloose: type 

    <cdecl: int32 "git_object_typeisloose" ( int32 ) >
    self primitiveFailed
!

primGitObject_size: type 

    <cdecl: long "git_object__size" ( int32 ) >
    self primitiveFailed
!

primGitOdbAddAlternate: odb backend: backend priority: priority 

    <cdecl: int32 "git_odb_add_alternate" ( GitOdb GitOdbBackend int32 ) >
    self primitiveFailed
!

primGitOdbAddBackend: odb backend: backend priority: priority 

    <cdecl: int32 "git_odb_add_backend" ( GitOdb GitOdbBackend int32 ) >
    self primitiveFailed
!

primGitOdbBackendLoose: backend_out objectsDir: objects_dir compressionLevel: compression_level doFsync: do_fsync 

    <cdecl: int32 "git_odb_backend_loose" ( pointer charPointer int32 int32 ) >
    self primitiveFailed
!

primGitOdbBackendOnePack: backend_out indexFile: index_file 

    <cdecl: int32 "git_odb_backend_one_pack" ( pointer charPointer ) >
    self primitiveFailed
!

primGitOdbBackendPack: backend_out objectsDir: objects_dir 

    <cdecl: int32 "git_odb_backend_pack" ( pointer charPointer ) >
    self primitiveFailed
!

primGitOdbExists: db id: id 

    <cdecl: int32 "git_odb_exists" ( GitOdb GitOid ) >
    self primitiveFailed
!

primGitOdbForeach: db cb: cb data: data 

    <cdecl: int32 "git_odb_foreach" ( GitOdb pointer voidPointer ) >
    self primitiveFailed
!

primGitOdbFree: db 

    <cdecl: void "git_odb_free" ( GitOdb ) >
    self primitiveFailed
!

primGitOdbHash: id data: data len: len type: type 

    <cdecl: int32 "git_odb_hash" ( GitOid voidPointer long int32 ) >
    self primitiveFailed
!

primGitOdbHashfile: out path: path type: type 

    <cdecl: int32 "git_odb_hashfile" ( GitOid charPointer int32 ) >
    self primitiveFailed
!

primGitOdbNew: out 

    <cdecl: int32 "git_odb_new" ( pointer ) >
    self primitiveFailed
!

primGitOdbObjectData: object 

    <cdecl: voidPointer "git_odb_object_data" ( GitOdbObject ) >
    self primitiveFailed
!

primGitOdbObjectFree: object 

    <cdecl: void "git_odb_object_free" ( GitOdbObject ) >
    self primitiveFailed
!

primGitOdbObjectId: object 

    <cdecl: GitOid "git_odb_object_id" ( GitOdbObject ) >
    self primitiveFailed
!

primGitOdbObjectSize: object 

    <cdecl: long "git_odb_object_size" ( GitOdbObject ) >
    self primitiveFailed
!

primGitOdbObjectType: object 

    <cdecl: int32 "git_odb_object_type" ( GitOdbObject ) >
    self primitiveFailed
!

primGitOdbOpen: out objectsDir: objects_dir 

    <cdecl: int32 "git_odb_open" ( pointer charPointer ) >
    self primitiveFailed
!

primGitOdbOpenRstream: stream db: db oid: oid 

    <cdecl: int32 "git_odb_open_rstream" ( pointer GitOdb GitOid ) >
    self primitiveFailed
!

primGitOdbOpenWstream: stream db: db size: size type: type 

    <cdecl: int32 "git_odb_open_wstream" ( pointer GitOdb long int32 ) >
    self primitiveFailed
!

primGitOdbRead: out db: db id: id 

    <cdecl: int32 "git_odb_read" ( pointer GitOdb GitOid ) >
    self primitiveFailed
!

primGitOdbReadHeader: len_p typeP: type_p db: db id: id 

    <cdecl: int32 "git_odb_read_header" ( longPointer intPointer GitOdb GitOid ) >
    self primitiveFailed
!

primGitOdbReadPrefix: out db: db shortId: short_id len: len 

    <cdecl: int32 "git_odb_read_prefix" ( pointer GitOdb GitOid long ) >
    self primitiveFailed
!

primGitOdbWrite: oid odb: odb data: data len: len type: type 

    <cdecl: int32 "git_odb_write" ( GitOid GitOdb voidPointer long int32 ) >
    self primitiveFailed
!

primGitOidAllocfmt: oid 

    <cdecl: charPointer "git_oid_allocfmt" ( GitOid ) >
    self primitiveFailed
!

primGitOidCmp: a b: b 

    <cdecl: int32 "git_oid_cmp" ( GitOid GitOid ) >
    self primitiveFailed
!

primGitOidCpy: out src: src 

    <cdecl: void "git_oid_cpy" ( GitOid GitOid ) >
    self primitiveFailed
!

primGitOidEqual: a b: b 

    <cdecl: int32 "git_oid_equal" ( GitOid GitOid ) >
    self primitiveFailed
!

primGitOidFmt: str oid: oid 

    <cdecl: void "git_oid_fmt" ( charPointer GitOid ) >
    self primitiveFailed
!

primGitOidFromraw: out raw: raw 

    <cdecl: void "git_oid_fromraw" ( GitOid charPointer ) >
    self primitiveFailed
!

primGitOidFromstr: out str: str 

    <cdecl: int32 "git_oid_fromstr" ( GitOid charPointer ) >
    self primitiveFailed
!

primGitOidFromstrn: out str: str length: length 

    <cdecl: int32 "git_oid_fromstrn" ( GitOid charPointer long ) >
    self primitiveFailed
!

primGitOidIszero: a 

    <cdecl: int32 "git_oid_iszero" ( GitOid ) >
    self primitiveFailed
!

primGitOidNcmp: a b: b len: len 

    <cdecl: int32 "git_oid_ncmp" ( GitOid GitOid long ) >
    self primitiveFailed
!

primGitOidPathfmt: str oid: oid 

    <cdecl: void "git_oid_pathfmt" ( charPointer GitOid ) >
    self primitiveFailed
!

primGitOidShortenAdd: os textOid: text_oid 

    <cdecl: int32 "git_oid_shorten_add" ( GitOidShorten charPointer ) >
    self primitiveFailed
!

primGitOidShortenFree: os 

    <cdecl: void "git_oid_shorten_free" ( GitOidShorten ) >
    self primitiveFailed
!

primGitOidShortenNew: min_length 

    <cdecl: GitOidShorten "git_oid_shorten_new" ( long ) >
    self primitiveFailed
!

primGitOidStreq: a str: str 

    <cdecl: int32 "git_oid_streq" ( GitOid charPointer ) >
    self primitiveFailed
!

primGitOidTostr: out n: n oid: oid 

    <cdecl: charPointer "git_oid_tostr" ( charPointer long GitOid ) >
    self primitiveFailed
!

primGitReferenceCmp: ref1 ref2: ref2 

    <cdecl: int32 "git_reference_cmp" ( GitReference GitReference ) >
    self primitiveFailed
!

primGitReferenceCreateOid: ref_out repo: repo name: name id: id force: force 

    <cdecl: int32 "git_reference_create_oid" ( pointer GitRepository charPointer GitOid int32 ) >
    self primitiveFailed
!

primGitReferenceCreateSymbolic: ref_out repo: repo name: name target: target force: force 

    <cdecl: int32 "git_reference_create_symbolic" ( pointer GitRepository charPointer charPointer int32 ) >
    self primitiveFailed
!

primGitReferenceDelete: ref 

    <cdecl: int32 "git_reference_delete" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceForeach: repo listFlags: list_flags callback: callback payload: payload 

    <cdecl: int32 "git_reference_foreach" ( GitRepository uint32 pointer voidPointer ) >
    self primitiveFailed
!

primGitReferenceForeachGlob: repo glob: glob listFlags: list_flags callback: callback payload: payload 

    <cdecl: int32 "git_reference_foreach_glob" ( GitRepository charPointer uint32 pointer voidPointer ) >
    self primitiveFailed
!

primGitReferenceFree: ref 

    <cdecl: void "git_reference_free" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceHasLog: ref 

    <cdecl: int32 "git_reference_has_log" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceIsBranch: ref 

    <cdecl: int32 "git_reference_is_branch" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceIsPacked: ref 

    <cdecl: int32 "git_reference_is_packed" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceIsRemote: ref 

    <cdecl: int32 "git_reference_is_remote" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceList: array repo: repo listFlags: list_flags 

    <cdecl: int32 "git_reference_list" ( GitStrarray GitRepository uint32 ) >
    self primitiveFailed
!

primGitReferenceLookup: reference_out repo: repo name: name 

    <cdecl: int32 "git_reference_lookup" ( pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitReferenceName: ref 

    <cdecl: charPointer "git_reference_name" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceNameToOid: out repo: repo name: name 

    <cdecl: int32 "git_reference_name_to_oid" ( GitOid GitRepository charPointer ) >
    self primitiveFailed
!

primGitReferenceNormalizeName: buffer_out bufferSize: buffer_size name: name flags: flags 

    <cdecl: int32 "git_reference_normalize_name" ( charPointer long charPointer uint32 ) >
    self primitiveFailed
!

primGitReferenceOid: ref 

    <cdecl: GitOid "git_reference_oid" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceOwner: ref 

    <cdecl: GitRepository "git_reference_owner" ( GitReference ) >
    self primitiveFailed
!

primGitReferencePackall: repo 

    <cdecl: int32 "git_reference_packall" ( GitRepository ) >
    self primitiveFailed
!

primGitReferenceReload: ref 

    <cdecl: int32 "git_reference_reload" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceRename: ref newName: new_name force: force 

    <cdecl: int32 "git_reference_rename" ( GitReference charPointer int32 ) >
    self primitiveFailed
!

primGitReferenceResolve: resolved_ref ref: ref 

    <cdecl: int32 "git_reference_resolve" ( pointer GitReference ) >
    self primitiveFailed
!

primGitReferenceSetOid: ref id: id 

    <cdecl: int32 "git_reference_set_oid" ( GitReference GitOid ) >
    self primitiveFailed
!

primGitReferenceSetTarget: ref target: target 

    <cdecl: int32 "git_reference_set_target" ( GitReference charPointer ) >
    self primitiveFailed
!

primGitReferenceTarget: ref 

    <cdecl: charPointer "git_reference_target" ( GitReference ) >
    self primitiveFailed
!

primGitReferenceType: ref 

    <cdecl: int32 "git_reference_type" ( GitReference ) >
    self primitiveFailed
!

primGitReflogAppend: reflog newOid: new_oid committer: committer msg: msg 

    <cdecl: int32 "git_reflog_append" ( GitReflog GitOid GitSignature charPointer ) >
    self primitiveFailed
!

primGitReflogDelete: ref 

    <cdecl: int32 "git_reflog_delete" ( GitReference ) >
    self primitiveFailed
!

primGitReflogDrop: reflog idx: idx rewritePreviousEntry: rewrite_previous_entry 

    <cdecl: int32 "git_reflog_drop" ( GitReflog uint32 int32 ) >
    self primitiveFailed
!

primGitReflogEntryByindex: reflog idx: idx 

    <cdecl: GitReflogEntry "git_reflog_entry_byindex" ( GitReflog long ) >
    self primitiveFailed
!

primGitReflogEntryCommitter: entry 

    <cdecl: GitSignature "git_reflog_entry_committer" ( GitReflogEntry ) >
    self primitiveFailed
!

primGitReflogEntryMsg: entry 

    <cdecl: charPointer "git_reflog_entry_msg" ( GitReflogEntry ) >
    self primitiveFailed
!

primGitReflogEntryOidnew: entry 

    <cdecl: GitOid "git_reflog_entry_oidnew" ( GitReflogEntry ) >
    self primitiveFailed
!

primGitReflogEntryOidold: entry 

    <cdecl: GitOid "git_reflog_entry_oidold" ( GitReflogEntry ) >
    self primitiveFailed
!

primGitReflogEntrycount: reflog 

    <cdecl: uint32 "git_reflog_entrycount" ( GitReflog ) >
    self primitiveFailed
!

primGitReflogFree: reflog 

    <cdecl: void "git_reflog_free" ( GitReflog ) >
    self primitiveFailed
!

primGitReflogRead: reflog ref: ref 

    <cdecl: int32 "git_reflog_read" ( pointer GitReference ) >
    self primitiveFailed
!

primGitReflogRename: ref newName: new_name 

    <cdecl: int32 "git_reflog_rename" ( GitReference charPointer ) >
    self primitiveFailed
!

primGitReflogWrite: reflog 

    <cdecl: int32 "git_reflog_write" ( GitReflog ) >
    self primitiveFailed
!

primGitRefspecDst: refspec 

    <cdecl: charPointer "git_refspec_dst" ( GitRefspec ) >
    self primitiveFailed
!

primGitRefspecForce: refspec 

    <cdecl: int32 "git_refspec_force" ( GitRefspec ) >
    self primitiveFailed
!

primGitRefspecParse: refspec str: str 

    <cdecl: int32 "git_refspec_parse" ( GitRefspec charPointer ) >
    self primitiveFailed
!

primGitRefspecSrc: refspec 

    <cdecl: charPointer "git_refspec_src" ( GitRefspec ) >
    self primitiveFailed
!

primGitRefspecSrcMatches: refspec refname: refname 

    <cdecl: int32 "git_refspec_src_matches" ( GitRefspec charPointer ) >
    self primitiveFailed
!

primGitRefspecTransform: out outlen: outlen spec: spec name: name 

    <cdecl: int32 "git_refspec_transform" ( charPointer long GitRefspec charPointer ) >
    self primitiveFailed
!

primGitRemoteAdd: out repo: repo name: name url: url 

    <cdecl: int32 "git_remote_add" ( pointer GitRepository charPointer charPointer ) >
    self primitiveFailed
!

primGitRemoteCheckCert: remote check: check 

    <cdecl: void "git_remote_check_cert" ( GitRemote int32 ) >
    self primitiveFailed
!

primGitRemoteConnect: remote direction: direction 

    <cdecl: int32 "git_remote_connect" ( GitRemote int32 ) >
    self primitiveFailed
!

primGitRemoteConnected: remote 

    <cdecl: int32 "git_remote_connected" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteDisconnect: remote 

    <cdecl: void "git_remote_disconnect" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteDownload: remote bytes: bytes stats: stats 

    <cdecl: int32 "git_remote_download" ( GitRemote longPointer GitIndexerStats ) >
    self primitiveFailed
!

primGitRemoteFetchspec: remote 

    <cdecl: GitRefspec "git_remote_fetchspec" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteFree: remote 

    <cdecl: void "git_remote_free" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteList: remotes_list repo: repo 

    <cdecl: int32 "git_remote_list" ( GitStrarray GitRepository ) >
    self primitiveFailed
!

primGitRemoteLoad: out repo: repo name: name 

    <cdecl: int32 "git_remote_load" ( pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitRemoteLs: remote listCb: list_cb payload: payload 

    <cdecl: int32 "git_remote_ls" ( GitRemote pointer voidPointer ) >
    self primitiveFailed
!

primGitRemoteName: remote 

    <cdecl: charPointer "git_remote_name" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteNew: out repo: repo name: name url: url fetch: fetch 

    <cdecl: int32 "git_remote_new" ( pointer GitRepository charPointer charPointer charPointer ) >
    self primitiveFailed
!

primGitRemotePushspec: remote 

    <cdecl: GitRefspec "git_remote_pushspec" ( GitRemote ) >
    self primitiveFailed
!

primGitRemotePushurl: remote 

    <cdecl: charPointer "git_remote_pushurl" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteSave: remote 

    <cdecl: int32 "git_remote_save" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteSetCallbacks: remote callbacks: callbacks 

    <cdecl: void "git_remote_set_callbacks" ( GitRemote GitRemoteCallbacks ) >
    self primitiveFailed
!

primGitRemoteSetFetchspec: remote spec: spec 

    <cdecl: int32 "git_remote_set_fetchspec" ( GitRemote charPointer ) >
    self primitiveFailed
!

primGitRemoteSetPushspec: remote spec: spec 

    <cdecl: int32 "git_remote_set_pushspec" ( GitRemote charPointer ) >
    self primitiveFailed
!

primGitRemoteSetPushurl: remote url: url 

    <cdecl: int32 "git_remote_set_pushurl" ( GitRemote charPointer ) >
    self primitiveFailed
!

primGitRemoteSetUrl: remote url: url 

    <cdecl: int32 "git_remote_set_url" ( GitRemote charPointer ) >
    self primitiveFailed
!

primGitRemoteSupportedUrl: url 

    <cdecl: int32 "git_remote_supported_url" ( charPointer ) >
    self primitiveFailed
!

primGitRemoteUpdateTips: remote 

    <cdecl: int32 "git_remote_update_tips" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteUrl: remote 

    <cdecl: charPointer "git_remote_url" ( GitRemote ) >
    self primitiveFailed
!

primGitRemoteValidUrl: url 

    <cdecl: int32 "git_remote_valid_url" ( charPointer ) >
    self primitiveFailed
!

primGitRepositoryConfig: out repo: repo 

    <cdecl: int32 "git_repository_config" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitRepositoryDiscover: repository_path size: size startPath: start_path acrossFs: across_fs ceilingDirs: ceiling_dirs 

    <cdecl: int32 "git_repository_discover" ( charPointer long charPointer int32 charPointer ) >
    self primitiveFailed
!

primGitRepositoryFree: repo 

    <cdecl: void "git_repository_free" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryHead: head_out repo: repo 

    <cdecl: int32 "git_repository_head" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitRepositoryHeadDetached: repo 

    <cdecl: int32 "git_repository_head_detached" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryHeadOrphan: repo 

    <cdecl: int32 "git_repository_head_orphan" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryIndex: out repo: repo 

    <cdecl: int32 "git_repository_index" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitRepositoryInit: repo_out path: path isBare: is_bare 

    <cdecl: int32 "git_repository_init" ( pointer charPointer uint32 ) >
    self primitiveFailed
!

primGitRepositoryInitExt: repo_out repoPath: repo_path opts: opts 

    <cdecl: int32 "git_repository_init_ext" ( pointer charPointer GitRepositoryInitOptions ) >
    self primitiveFailed
!

primGitRepositoryIsBare: repo 

    <cdecl: int32 "git_repository_is_bare" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryIsEmpty: repo 

    <cdecl: int32 "git_repository_is_empty" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryMessage: buffer len: len repo: repo 

    <cdecl: int32 "git_repository_message" ( charPointer long GitRepository ) >
    self primitiveFailed
!

primGitRepositoryMessageRemove: repo 

    <cdecl: int32 "git_repository_message_remove" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryOdb: out repo: repo 

    <cdecl: int32 "git_repository_odb" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitRepositoryOpen: repository path: path 

    <cdecl: int32 "git_repository_open" ( pointer charPointer ) >
    self primitiveFailed
!

primGitRepositoryOpenExt: repo startPath: start_path flags: flags ceilingDirs: ceiling_dirs 

    <cdecl: int32 "git_repository_open_ext" ( pointer charPointer uint32 charPointer ) >
    self primitiveFailed
!

primGitRepositoryPath: repo 

    <cdecl: charPointer "git_repository_path" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositorySetConfig: repo config: config 

    <cdecl: void "git_repository_set_config" ( GitRepository GitConfig ) >
    self primitiveFailed
!

primGitRepositorySetIndex: repo index: index 

    <cdecl: void "git_repository_set_index" ( GitRepository GitIndex ) >
    self primitiveFailed
!

primGitRepositorySetOdb: repo odb: odb 

    <cdecl: void "git_repository_set_odb" ( GitRepository GitOdb ) >
    self primitiveFailed
!

primGitRepositorySetWorkdir: repo workdir: workdir updateGitlink: update_gitlink 

    <cdecl: int32 "git_repository_set_workdir" ( GitRepository charPointer int32 ) >
    self primitiveFailed
!

primGitRepositoryWorkdir: repo 

    <cdecl: charPointer "git_repository_workdir" ( GitRepository ) >
    self primitiveFailed
!

primGitRepositoryWrapOdb: repository odb: odb 

    <cdecl: int32 "git_repository_wrap_odb" ( pointer GitOdb ) >
    self primitiveFailed
!

primGitReset: repo target: target resetType: reset_type 

    <cdecl: int32 "git_reset" ( GitRepository GitObject int32 ) >
    self primitiveFailed
!

primGitRevparseSingle: out repo: repo spec: spec 

    <cdecl: int32 "git_revparse_single" ( pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitRevwalkFree: walk 

    <cdecl: void "git_revwalk_free" ( GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkHide: walk oid: oid 

    <cdecl: int32 "git_revwalk_hide" ( GitRevwalk GitOid ) >
    self primitiveFailed
!

primGitRevwalkHideGlob: walk glob: glob 

    <cdecl: int32 "git_revwalk_hide_glob" ( GitRevwalk charPointer ) >
    self primitiveFailed
!

primGitRevwalkHideHead: walk 

    <cdecl: int32 "git_revwalk_hide_head" ( GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkHideRef: walk refname: refname 

    <cdecl: int32 "git_revwalk_hide_ref" ( GitRevwalk charPointer ) >
    self primitiveFailed
!

primGitRevwalkNew: walker repo: repo 

    <cdecl: int32 "git_revwalk_new" ( pointer GitRepository ) >
    self primitiveFailed
!

primGitRevwalkNext: oid walk: walk 

    <cdecl: int32 "git_revwalk_next" ( GitOid GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkPush: walk oid: oid 

    <cdecl: int32 "git_revwalk_push" ( GitRevwalk GitOid ) >
    self primitiveFailed
!

primGitRevwalkPushGlob: walk glob: glob 

    <cdecl: int32 "git_revwalk_push_glob" ( GitRevwalk charPointer ) >
    self primitiveFailed
!

primGitRevwalkPushHead: walk 

    <cdecl: int32 "git_revwalk_push_head" ( GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkPushRef: walk refname: refname 

    <cdecl: int32 "git_revwalk_push_ref" ( GitRevwalk charPointer ) >
    self primitiveFailed
!

primGitRevwalkRepository: walk 

    <cdecl: GitRepository "git_revwalk_repository" ( GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkReset: walker 

    <cdecl: void "git_revwalk_reset" ( GitRevwalk ) >
    self primitiveFailed
!

primGitRevwalkSorting: walk sortMode: sort_mode 

    <cdecl: void "git_revwalk_sorting" ( GitRevwalk uint32 ) >
    self primitiveFailed
!

primGitSignatureDup: sig 

    <cdecl: GitSignature "git_signature_dup" ( GitSignature ) >
    self primitiveFailed
!

primGitSignatureFree: sig 

    <cdecl: void "git_signature_free" ( GitSignature ) >
    self primitiveFailed
!

primGitSignatureNew: sig_out name: name email: email time: time offset: offset 

    <cdecl: int32 "git_signature_new" ( pointer charPointer charPointer long int32 ) >
    self primitiveFailed
!

primGitSignatureNow: sig_out name: name email: email 

    <cdecl: int32 "git_signature_now" ( pointer charPointer charPointer ) >
    self primitiveFailed
!

primGitStatusFile: status_flags repo: repo path: path 

    <cdecl: int32 "git_status_file" ( int32Pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitStatusForeach: repo callback: callback payload: payload 

    <cdecl: int32 "git_status_foreach" ( GitRepository pointer voidPointer ) >
    self primitiveFailed
!

primGitStatusForeachExt: repo opts: opts callback: callback payload: payload 

    <cdecl: int32 "git_status_foreach_ext" ( GitRepository GitStatusOptions pointer voidPointer ) >
    self primitiveFailed
!

primGitStatusShouldIgnore: ignored repo: repo path: path 

    <cdecl: int32 "git_status_should_ignore" ( int32Pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitStrarrayCopy: tgt src: src 

    <cdecl: int32 "git_strarray_copy" ( GitStrarray GitStrarray ) >
    self primitiveFailed
!

primGitStrarrayFree: array 

    <cdecl: void "git_strarray_free" ( GitStrarray ) >
    self primitiveFailed
!

primGitSubmoduleAddFinalize: submodule 

    <cdecl: int32 "git_submodule_add_finalize" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleAddSetup: submodule repo: repo url: url path: path useGitlink: use_gitlink 

    <cdecl: int32 "git_submodule_add_setup" ( pointer GitRepository charPointer charPointer int32 ) >
    self primitiveFailed
!

primGitSubmoduleAddToIndex: submodule writeIndex: write_index 

    <cdecl: int32 "git_submodule_add_to_index" ( GitSubmodule int32 ) >
    self primitiveFailed
!

primGitSubmoduleForeach: repo callback: callback payload: payload 

    <cdecl: int32 "git_submodule_foreach" ( GitRepository pointer voidPointer ) >
    self primitiveFailed
!

primGitSubmoduleHeadOid: submodule 

    <cdecl: GitOid "git_submodule_head_oid" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleIgnore: submodule 

    <cdecl: int32 "git_submodule_ignore" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleIndexOid: submodule 

    <cdecl: GitOid "git_submodule_index_oid" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleInit: submodule overwrite: overwrite 

    <cdecl: int32 "git_submodule_init" ( GitSubmodule int32 ) >
    self primitiveFailed
!

primGitSubmoduleLookup: submodule repo: repo name: name 

    <cdecl: int32 "git_submodule_lookup" ( pointer GitRepository charPointer ) >
    self primitiveFailed
!

primGitSubmoduleName: submodule 

    <cdecl: charPointer "git_submodule_name" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleOpen: repo submodule: submodule 

    <cdecl: int32 "git_submodule_open" ( pointer GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleOwner: submodule 

    <cdecl: GitRepository "git_submodule_owner" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmodulePath: submodule 

    <cdecl: charPointer "git_submodule_path" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleReload: submodule 

    <cdecl: int32 "git_submodule_reload" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleReloadAll: repo 

    <cdecl: int32 "git_submodule_reload_all" ( GitRepository ) >
    self primitiveFailed
!

primGitSubmoduleSave: submodule 

    <cdecl: int32 "git_submodule_save" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleSetIgnore: submodule ignore: ignore 

    <cdecl: int32 "git_submodule_set_ignore" ( GitSubmodule int32 ) >
    self primitiveFailed
!

primGitSubmoduleSetUpdate: submodule update: update 

    <cdecl: int32 "git_submodule_set_update" ( GitSubmodule int32 ) >
    self primitiveFailed
!

primGitSubmoduleSetUrl: submodule url: url 

    <cdecl: int32 "git_submodule_set_url" ( GitSubmodule charPointer ) >
    self primitiveFailed
!

primGitSubmoduleStatus: status submodule: submodule 

    <cdecl: int32 "git_submodule_status" ( int32Pointer GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleSync: submodule 

    <cdecl: int32 "git_submodule_sync" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleUpdate: submodule 

    <cdecl: int32 "git_submodule_update" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleUrl: submodule 

    <cdecl: charPointer "git_submodule_url" ( GitSubmodule ) >
    self primitiveFailed
!

primGitSubmoduleWdOid: submodule 

    <cdecl: GitOid "git_submodule_wd_oid" ( GitSubmodule ) >
    self primitiveFailed
!

primGitTagCreate: oid repo: repo tagName: tag_name target: target tagger: tagger message: message force: force 

    <cdecl: int32 "git_tag_create" ( GitOid GitRepository charPointer GitObject GitSignature charPointer int32 ) >
    self primitiveFailed
!

primGitTagCreateFrombuffer: oid repo: repo buffer: buffer force: force 

    <cdecl: int32 "git_tag_create_frombuffer" ( GitOid GitRepository charPointer int32 ) >
    self primitiveFailed
!

primGitTagCreateLightweight: oid repo: repo tagName: tag_name target: target force: force 

    <cdecl: int32 "git_tag_create_lightweight" ( GitOid GitRepository charPointer GitObject int32 ) >
    self primitiveFailed
!

primGitTagDelete: repo tagName: tag_name 

    <cdecl: int32 "git_tag_delete" ( GitRepository charPointer ) >
    self primitiveFailed
!

primGitTagFree: tag 

    <cdecl: void "git_tag_free" ( GitTag ) >
    self primitiveFailed
!

primGitTagId: tag 

    <cdecl: GitOid "git_tag_id" ( GitTag ) >
    self primitiveFailed
!

primGitTagList: tag_names repo: repo 

    <cdecl: int32 "git_tag_list" ( GitStrarray GitRepository ) >
    self primitiveFailed
!

primGitTagListMatch: tag_names pattern: pattern repo: repo 

    <cdecl: int32 "git_tag_list_match" ( GitStrarray charPointer GitRepository ) >
    self primitiveFailed
!

primGitTagLookup: tag repo: repo id: id 

    <cdecl: int32 "git_tag_lookup" ( pointer GitRepository GitOid ) >
    self primitiveFailed
!

primGitTagLookupPrefix: tag repo: repo id: id len: len 

    <cdecl: int32 "git_tag_lookup_prefix" ( pointer GitRepository GitOid long ) >
    self primitiveFailed
!

primGitTagMessage: tag 

    <cdecl: charPointer "git_tag_message" ( GitTag ) >
    self primitiveFailed
!

primGitTagName: tag 

    <cdecl: charPointer "git_tag_name" ( GitTag ) >
    self primitiveFailed
!

primGitTagPeel: tag_target tag: tag 

    <cdecl: int32 "git_tag_peel" ( pointer GitTag ) >
    self primitiveFailed
!

primGitTagTagger: tag 

    <cdecl: GitSignature "git_tag_tagger" ( GitTag ) >
    self primitiveFailed
!

primGitTagTarget: target tag: tag 

    <cdecl: int32 "git_tag_target" ( pointer GitTag ) >
    self primitiveFailed
!

primGitTagTargetOid: tag 

    <cdecl: GitOid "git_tag_target_oid" ( GitTag ) >
    self primitiveFailed
!

primGitTagType: tag 

    <cdecl: int32 "git_tag_type" ( GitTag ) >
    self primitiveFailed
!

primGitThreadsInit

    <cdecl: void "git_threads_init" ( ) >
    self primitiveFailed
!

primGitThreadsShutdown

    <cdecl: void "git_threads_shutdown" ( ) >
    self primitiveFailed
!

primGitTreeCreateFromindex: oid index: index 

    <cdecl: int32 "git_tree_create_fromindex" ( GitOid GitIndex ) >
    self primitiveFailed
!

primGitTreeEntryByindex: tree idx: idx 

    <cdecl: GitTreeEntry "git_tree_entry_byindex" ( GitTree long ) >
    self primitiveFailed
!

primGitTreeEntryByname: tree filename: filename 

    <cdecl: GitTreeEntry "git_tree_entry_byname" ( GitTree charPointer ) >
    self primitiveFailed
!

primGitTreeEntryByoid: tree oid: oid 

    <cdecl: GitTreeEntry "git_tree_entry_byoid" ( GitTree GitOid ) >
    self primitiveFailed
!

primGitTreeEntryBypath: entry root: root path: path 

    <cdecl: int32 "git_tree_entry_bypath" ( pointer GitTree charPointer ) >
    self primitiveFailed
!

primGitTreeEntryDup: entry 

    <cdecl: GitTreeEntry "git_tree_entry_dup" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryFilemode: entry 

    <cdecl: int32 "git_tree_entry_filemode" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryFree: entry 

    <cdecl: void "git_tree_entry_free" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryId: entry 

    <cdecl: GitOid "git_tree_entry_id" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryName: entry 

    <cdecl: charPointer "git_tree_entry_name" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryToObject: object_out repo: repo entry: entry 

    <cdecl: int32 "git_tree_entry_to_object" ( pointer GitRepository GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntryType: entry 

    <cdecl: int32 "git_tree_entry_type" ( GitTreeEntry ) >
    self primitiveFailed
!

primGitTreeEntrycount: tree 

    <cdecl: uint32 "git_tree_entrycount" ( GitTree ) >
    self primitiveFailed
!

primGitTreeFree: tree 

    <cdecl: void "git_tree_free" ( GitTree ) >
    self primitiveFailed
!

primGitTreeId: tree 

    <cdecl: GitOid "git_tree_id" ( GitTree ) >
    self primitiveFailed
!

primGitTreeLookup: tree repo: repo id: id 

    <cdecl: int32 "git_tree_lookup" ( pointer GitRepository GitOid ) >
    self primitiveFailed
!

primGitTreeLookupPrefix: tree repo: repo id: id len: len 

    <cdecl: int32 "git_tree_lookup_prefix" ( pointer GitRepository GitOid long ) >
    self primitiveFailed
!

primGitTreeWalk: tree callback: callback mode: mode payload: payload 

    <cdecl: int32 "git_tree_walk" ( GitTree pointer int32 voidPointer ) >
    self primitiveFailed
!

primGitTreebuilderClear: bld 

    <cdecl: void "git_treebuilder_clear" ( GitTreebuilder ) >
    self primitiveFailed
!

primGitTreebuilderCreate: builder_p source: source 

    <cdecl: int32 "git_treebuilder_create" ( pointer GitTree ) >
    self primitiveFailed
!

primGitTreebuilderFilter: bld filter: filter payload: payload 

    <cdecl: void "git_treebuilder_filter" ( GitTreebuilder pointer voidPointer ) >
    self primitiveFailed
!

primGitTreebuilderFree: bld 

    <cdecl: void "git_treebuilder_free" ( GitTreebuilder ) >
    self primitiveFailed
!

primGitTreebuilderGet: bld filename: filename 

    <cdecl: GitTreeEntry "git_treebuilder_get" ( GitTreebuilder charPointer ) >
    self primitiveFailed
!

primGitTreebuilderInsert: entry_out bld: bld filename: filename id: id filemode: filemode 

    <cdecl: int32 "git_treebuilder_insert" ( pointer GitTreebuilder charPointer GitOid int32 ) >
    self primitiveFailed
!

primGitTreebuilderRemove: bld filename: filename 

    <cdecl: int32 "git_treebuilder_remove" ( GitTreebuilder charPointer ) >
    self primitiveFailed
!

primGitTreebuilderWrite: oid repo: repo bld: bld 

    <cdecl: int32 "git_treebuilder_write" ( GitOid GitRepository GitTreebuilder ) >
    self primitiveFailed
! !

!GitPrimitives class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
